Page MenuHomePhabricator

Rendered references in context view when working from /w/index.php?title=…&veaction=edit link to /w/ not /wiki/
Closed, ResolvedPublic1 Estimated Story Points

Event Timeline

LuisVilla raised the priority of this task from to High.
LuisVilla updated the task description. (Show Details)
LuisVilla added a subscriber: LuisVilla.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 2:48 PM
LuisVilla renamed this task from Book ISBN links are broken because of /w/ instead of /wiki/ to Book ISBN links are broken in preview window because of /w/ instead of /wiki/.Apr 10 2015, 2:49 PM
LuisVilla updated the task description. (Show Details)
LuisVilla set Security to None.

Please add projects to this task. It's not clear what you're actually doing here.

I have no idea how to "add a Google Book". Is this about some gadget? Or VisualEditor?

LuisVilla updated the task description. (Show Details)Apr 10 2015, 3:17 PM
LuisVilla added a project: Citoid.

Sorry, forgot to add a project, which would have made this more clear - this is through citoid. Project added.

Mvolz added a subscriber: Mooeypoo.Apr 10 2015, 5:34 PM
Mvolz moved this task from Backlog to Production on the Citoid board.Apr 29 2015, 1:14 PM
Mvolz moved this task from Production to Extension on the Citoid board.

What was the exact URL being used here?

I believe http://books.google.com/books/about/Latin_American_Fashion_Reader.html?id=l8LNOJB7Z6UC but I was seeing it on all Google Books URLs I inputted. Not seeing it now, though, maybe got fixed accidentally?

Jdforrester-WMF renamed this task from Book ISBN links are broken in preview window because of /w/ instead of /wiki/ to Book ISBN links are broken in content view because of linking to /w/ instead of /wiki/.May 6 2015, 6:10 PM
Jdforrester-WMF renamed this task from Book ISBN links are broken in content view because of linking to /w/ instead of /wiki/ to Rendered references in context view when working from /w/index.php?title=…&veaction=edit link to /w/ not /wiki/.May 6 2015, 8:13 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

On re-testing, this is not fixed, unfortunately.

Jdforrester-WMF edited a custom field.

Interesting. Something about my local setup is behaving differently - I can replicate the issue on beta, but on localhost I don't even get the BookSources link

Yeah, this is a relatively common problem when dealing with Parsoid's output unfortunately. We've had to solve it in other places around VE before.

Generally this is caused by the dm.Document not being connected to the correct HTMLDocument. The HTMLDocument should contain a <base href="//en.wikipedia.org/wiki"> tag which causes URLs to be resolved correctly.

Change 209828 had a related patch set uploaded (by Catrope):
Resolve attribute values (href and src) in PreviewWidget

https://gerrit.wikimedia.org/r/209828

Jdforrester-WMF closed this task as Resolved.May 9 2015, 12:23 AM
Jdforrester-WMF assigned this task to Catrope.

Change 209828 merged by jenkins-bot:
Resolve attribute values (href and src) in PreviewWidget

https://gerrit.wikimedia.org/r/209828